<template>
  <div class="app-container">
    <el-form :model="queryParams" ref="queryForm" :inline="true" @submit.native.prevent v-show="showSearch">
      <el-form-item label="合同名称" prop="name">
        <el-input v-model="queryParams.name" placeholder="请输入合同名称"  @keyup.enter.native="handleQuery" clearable class="inp"/>
      </el-form-item>
      <el-form-item label="合同路径" prop="url">
        <el-input v-model="queryParams.url" placeholder="请输入合同路径"  @keyup.enter.native="handleQuery" clearable class="inp"/>
      </el-form-item>
      <el-form-item label="状态" prop="state">
        <el-input v-model="queryParams.state" placeholder="请输入状态"  @keyup.enter.native="handleQuery" clearable class="inp"/>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" icon="el-icon-search" @click="handleQuery">搜索</el-button>
        <el-button icon="el-icon-refresh" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form>
    <el-row :gutter="10" class="mb8">
        <el-button type="primary" icon="el-icon-plus" :disabled="ids.length > 0" @click="op('add')" v-hasPermi="['work:contract:add']">新增</el-button>
        <el-button type="success" icon="el-icon-edit" :disabled="ids.length != 1" @click="op('edit',ids)" v-hasPermi="['work:contract:edit']">修改</el-button>
        <el-button type="danger" icon="el-icon-delete" :disabled="ids.length == 0" @click="del" v-hasPermi="['work:contract:remove']">删除{{ids.length>0?'('+ids.length+')':''}}</el-button>
        <right-toolbar :showSearch.sync="showSearch" @queryTable="getList"></right-toolbar>
    </el-row>

    <el-table :data="response.rows" border @selection-change="selects" height="calc(100vh - 270px)">
      <el-table-column type="selection" width="55" align="center" />
      <el-table-column label="id" align="center" prop="id" />
      <el-table-column label="合同名称" align="center" prop="name" />
      <el-table-column label="合同路径" align="center" prop="url" />
      <el-table-column label="状态" align="center" prop="state" />
      <el-table-column label="操作" align="center" class-name="small-padding fixed-width">
        <template slot-scope="scope">
          <el-button size="mini" type="text" icon="el-icon-edit" @click="op('edit',scope.row)" v-hasPermi="['work:contract:edit']">修改</el-button>
          <el-button size="mini" type="text" icon="el-icon-delete" @click="del(scope.row)" v-hasPermi="['work:contract:remove']">删除</el-button>
        </template>
      </el-table-column>
      <template slot="empty">
          <el-empty></el-empty>
      </template>
    </el-table>
    <pagination v-if="response.total>0" :total="response.total" :page.sync="queryParams.pageNum" :limit.sync="queryParams.pageSize" @pagination="getList"/>
  </div>
</template>

<script>
import edit from './edit'
export default {
  name: "Contract",
  data() {
    return {
      ids: [],
      showSearch:true,
      response: {},
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        name: null,
        url: null,
        state: null,
        orderByColumn: 'id',
        isAsc: 'desc'
      }
    };
  },
  created() {
    this.getList();
  },
  methods: {
    getList() {
      this.ajax({ url: '/work/contract/list', data: this.queryParams }).then(response => {
            this.response = response;
      });
    },
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    resetQuery() {
      this.resetForm("queryForm");
      this.handleQuery();
    },
    selects(rows) {
      this.ids = rows.map(item => item.id)
    },
    op(tag, row) {
          if (tag == 'add') {
            this.iframe({ obj: edit, param: {}, title:'新增',width: '45%', height: '55%'});
          }
          if (tag == 'edit') {
              const id = row.id || this.ids[0];
              this.iframe({ obj: edit, param: {id: id}, title:'编辑',width: '50%', height: '50%'});
          }
    },
    del(row) {
        this.$confirm('是否确认删除选中数据?', '警告', { type: 'warning' }).then(() => {
        this.get({ url: '/work/contract/remove/' + (row.id || this.ids) }).then(response => {
                this.$modal.msgSuccess('删除成功');
                this.getList();
            });
        });
    }
  }
};
</script>
